דילוג לתוכן

MoonDreamNext Detection

שילוב

מזהה מודל moondream-next/detection
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream-next/detection?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

בקשה זו: ≈⁨‏0.002 ‏$⁩ 2 קרדיטי API · ≈ ⁨‏0.21 ‏₽⁩ הרצה בדף הזה

קבלת מפתח API
Moondream עריכת תמונה #multimodal

זיהוי תיבות תחימה, נקודות או מבט בתמונה ושרטוט התוצאה

Moondream · תמונה

התוצאה הראשונה שלך תופיע כאן

בנו בקשה למטה והריצו אותה עם מפתח ה־API שלכם. הפלטים מועתקים לאחסון שלנו ונשמרים לצמיתות או למשך 7 ימים ללא תשלום.

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה

טקסט המתאר את היעד לזיהוי.

•חובה image_url
גרור קובץ, או

כתובת URL המזהה את התמונה לעיבוד.

task_type •חובה

משימת הזיהוי לביצוע.

מתקדם use_ensemble · combine_points · show_visualization
POST /run/moondream-next/detection?wait=20 הצעת מחיר → ⁨‏0.002 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream-next/detection?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על MoonDreamNext Detection

בחרו `task_type` כ-bbox_detection, point_detection או gaze_detection, ותארו את היעד ב-`detection_prompt`. האפשרויות כוללות `use_ensemble` לזיהוי מבט ו-`combine_points` לזיהוי נקודות. הוא מחזיר תמונה עם ההמחשה (ניתן להחליף באמצעות `show_visualization`) ואת התוצאות כטקסט.

פרמטרים

שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים

שםסוג ברירת מחדלמותר תיאור
image_urlחובה image
סוגurl · image
כתובת URL המזהה את התמונה לעיבוד.
task_typeחובה
סוגenum
bbox_detectionpoint_detectiongaze_detection
משימת הזיהוי לביצוע.
detection_promptחובה
סוגstring
טקסט המתאר את היעד לזיהוי.
use_ensembleאופציונלי
סוגboolean
ברירת מחדלfalse
שולט בשימוש באנסמבל לזיהוי מבט.
combine_pointsאופציונלי
סוגboolean
ברירת מחדלfalse
האם זיהוי נקודות ממזג את הנקודות שזוהו לנקודה אחת. ההגדרה אינה משפיעה על זיהוי bbox או מבט.
show_visualizationאופציונלי
סוגboolean
ברירת מחדלtrue
שולט אם תוצאות הזיהוי מוצגות באופן חזותי.
חובה שם קנוני, מתקבל גם הוא

פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream-next/detection",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "text_output": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
image
object {url, content_type, file_name, file_size, width, height} | nullתמונת פלט המציגה את תוצאות הזיהוי.
text_output
stringייצוג טקסטואלי של תוצאות הזיהוי.

מודלים נוספים: עריכת תמונה

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/moondream-next/detection.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt